import React, { ReactNode } from 'react';
import './transition.less';
export type TransitionStatus = 'enter' | 'entered' | 'exit' | 'exited';
export declare enum TransitionName {
    Fade = "fade",
    SlideUp = "slide-up",
    SlideDown = "slide-down",
    SlideLeft = "slide-left",
    SlideRight = "slide-right"
}
interface TransitionProps {
    name?: TransitionName;
    in?: boolean;
    timeout?: number;
    children: ReactNode;
}
declare const Transition: React.FC<TransitionProps>;
export default Transition;
